import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import _pt from "prop-types";
var _excluded = ["type", "closable"];
import React from 'react';
import BaseAlert from './BaseAlert';
import ClosableAlert from './ClosableAlert';

var Alert = function Alert(_ref) {
  var _ref$type = _ref.type,
      type = _ref$type === void 0 ? 'info' : _ref$type,
      _ref$closable = _ref.closable,
      closable = _ref$closable === void 0 ? false : _ref$closable,
      props = _objectWithoutProperties(_ref, _excluded);

  var RenderComponent = closable ? ClosableAlert : BaseAlert;
  return /*#__PURE__*/React.createElement(RenderComponent, _objectSpread({
    type: type,
    closable: closable
  }, props));
};

Alert.propTypes = {
  closable: _pt.bool
};
export { Alert };