import React, { ReactNode } from 'react';
import { SpaceProps } from 'styled-system';
import { StatusType } from '../types';
export declare type StyledAlertTypes = SpaceProps & {
    type: StatusType;
};
export interface BaseAlertProps extends StyledAlertTypes {
    closable: boolean;
    message: ReactNode;
    type: StatusType;
    onClose?: () => void;
}
declare const BaseAlert: React.ForwardRefExoticComponent<BaseAlertProps & React.RefAttributes<HTMLDivElement>>;
export default BaseAlert;
