import { ComponentPropsWithRef, FC } from 'react';
import { AnimatedStyledBadge, StyledBadgeWrapper } from './styles';
declare type StyledBadgeProps = ComponentPropsWithRef<typeof AnimatedStyledBadge>;
export declare type BadgeProps = StyledBadgeProps & {
    count?: number;
    showZero?: boolean;
    overflowCount?: number;
    wrapperProps?: ComponentPropsWithRef<typeof StyledBadgeWrapper>;
};
declare const Badge: FC<BadgeProps>;
export { Badge };
