import React, { MouseEventHandler, ReactNode } from 'react';
export interface BreadcrumbLinkProps {
    active: boolean;
    name: ReactNode;
    lockWidth: boolean;
    onClick: MouseEventHandler<HTMLAnchorElement>;
}
export interface BreadcrumbItem {
    key: string;
    name: ReactNode;
    onClick?: MouseEventHandler<HTMLAnchorElement>;
}
export interface BreadcrumbItemProps {
    items: BreadcrumbItem[];
}
export interface BreadcrumbProps {
    items?: BreadcrumbItem[];
}
declare const Breadcrumb: React.ForwardRefExoticComponent<BreadcrumbProps & React.RefAttributes<HTMLDivElement>>;
export { Breadcrumb };
