import { SpaceProps, WidthProps } from 'styled-system';
export declare const spin: import("styled-components").Keyframes;
export declare type ButtonSize = 'sm' | 'md' | 'lg';
export declare type ButtonVariant = 'primary' | 'primary-invert' | 'danger' | 'danger-invert' | 'regular' | 'normal';
export declare const buttonVariant: ({ variant }: {
    variant?: ButtonVariant | undefined;
}) => import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
export declare type StyledButtonProps = SpaceProps & WidthProps & {
    isLoading: boolean;
    hasIcon: boolean;
    size: ButtonSize;
    variant?: ButtonVariant;
    rounded?: boolean;
    disabled?: boolean;
};
export declare const StyledButton: import("styled-components").StyledComponent<"button", any, SpaceProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, string | number | symbol> & WidthProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, import("csstype").Property.Width<import("styled-system").TLengthStyledSystem>> & {
    isLoading: boolean;
    hasIcon: boolean;
    size: ButtonSize;
    variant?: ButtonVariant | undefined;
    rounded?: boolean | undefined;
    disabled?: boolean | undefined;
}, never>;
