import React, { ReactNode } from 'react';
import { Direction } from './CheckboxContext';
export interface CheckboxGroupProps {
    direction?: Direction;
    defaultValue?: string[];
    options?: {
        label: ReactNode;
        value: string;
        disabled?: boolean;
    }[];
    value?: string[];
    onChange?: (value: string[]) => void;
    children?: ReactNode;
}
declare const CheckboxGroup: React.ForwardRefExoticComponent<CheckboxGroupProps & React.RefAttributes<HTMLDivElement>>;
export { CheckboxGroup };
