import { FC, ReactNode } from 'react';
import { PopoverProps } from '../Popover';
import DropdownItem from './DropdownItem';
import DropdownSubList from './DropdownSubList';
import { Divider, List } from './styles';
export interface DropdownProps extends Omit<PopoverProps, 'content'> {
    overlay: ReactNode;
}
declare const Dropdown: FC<DropdownProps> & {
    List: typeof List;
    SubList: typeof DropdownSubList;
    Item: typeof DropdownItem;
    Divider: typeof Divider;
};
export { Dropdown };
