import styled from 'styled-components';
import { color } from 'styled-system';
export var List = styled.div.withConfig({
  componentId: "sc-16ry2e3-0"
})(["max-height:240px;padding:", " 0;overflow-x:hidden;overflow-y:auto;border-radius:", ";"], function (p) {
  return p.theme.space[2];
}, function (p) {
  return p.theme.radii.lg;
});
export var Item = styled.li.withConfig({
  componentId: "sc-16ry2e3-1"
})(["display:flex;align-items:center;height:", ";padding:0 24px;background-color:", ";font-size:", ";cursor:pointer;&[disabled],&:disabled{color:", ";cursor:not-allowed;:hover{background-color:", ";}}&:hover{background-color:", ";& svg{fill:", " !important;}}", ";"], function (p) {
  return p.theme.heights.base;
}, function (p) {
  return p.theme.colors.light;
}, function (p) {
  return p.theme.fontSizes.sm;
}, function (p) {
  return p.theme.colors.gray500;
}, function (p) {
  return p.theme.colors.light;
}, function (p) {
  return p.theme.colors.gray200;
}, function (p) {
  return p.theme.colors.gray400;
}, color);
export var Divider = styled.div.withConfig({
  componentId: "sc-16ry2e3-2"
})(["width:100%;height:1px;margin:", " 0;background-color:", ";"], function (p) {
  return p.theme.space[1];
}, function (p) {
  return p.theme.colors.gray300;
});