import styled, { css } from 'styled-components';
export var Label = styled.label.withConfig({
  componentId: "sc-1jr9qdq-0"
})(["display:block;margin-bottom:2px;padding-left:2px;color:", ";font-size:", ";letter-spacing:0.2px;", ""], function (p) {
  return p.theme.colors.gray700;
}, function (p) {
  return p.theme.fontSizes.sm;
}, function (p) {
  return p.required && css(["&::after{content:'*';margin-left:", ";}"], p.theme.space[1]);
});
export var ValidationMessage = styled.div.withConfig({
  componentId: "sc-1jr9qdq-1"
})(["margin-top:2px;padding-left:2px;color:", ";font-size:", ";"], function (p) {
  return p.theme.colors.danger;
}, function (p) {
  return p.theme.fontSizes.sm;
});