import { ReactNode } from 'react';
import { AnySchema } from 'yup';
export declare type FunctionValidator = (value?: any) => string | null;
export interface ObjectValidator {
    rule: (value?: any) => boolean;
    message: string;
}
export declare type Validator = FunctionValidator | AnySchema | ObjectValidator | ObjectValidator[];
export interface Validate {
    value?: any;
    validationMessage?: ReactNode;
    validator?: Validator;
}
export declare const validate: ({ value, validator, validationMessage }: Validate) => {
    invalid: boolean;
    message: any;
};
