import { ReactNode } from 'react';
import { SpaceProps, TextAlignProps, WidthProps } from 'styled-system';
export declare type Size = 'sm' | 'md' | 'lg';
export declare type StyledInputProps = WidthProps & SpaceProps & TextAlignProps & {
    invalid?: boolean;
    size?: Size;
};
export declare const inputStyles: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<StyledInputProps, any>>;
export declare const StyledInput: import("styled-components").StyledComponent<"input", any, WidthProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, import("csstype").Property.Width<import("styled-system").TLengthStyledSystem>> & SpaceProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, string | number | symbol> & TextAlignProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>> & {
    invalid?: boolean | undefined;
    size?: Size | undefined;
}, never>;
export declare const InputLabel: import("styled-components").StyledComponent<"span", any, {}, never>;
interface InputWrapperProps {
    prefix?: ReactNode;
    suffix?: ReactNode;
}
export declare const InputWrapper: import("styled-components").StyledComponent<"div", any, InputWrapperProps, never>;
export {};
