import React from 'react';
import { FilteredSuggestion, FilteredSuggestions, FormatCreateText } from './Mention';
import { OverlayPosition } from './utils';
interface SuggestionsProps {
    dropdownVisible: boolean;
    activeIndex: number;
    formatCreateText: FormatCreateText;
    overlayPosition: OverlayPosition;
    filteredSuggestions: FilteredSuggestions;
    onSuggestionClick: (suggestion: FilteredSuggestion) => void;
}
declare const Suggestions: React.ForwardRefExoticComponent<SuggestionsProps & React.RefAttributes<HTMLDivElement>>;
export default Suggestions;
