import styled, { css } from 'styled-components';
export var StyledSubMenu = styled.div.withConfig({
  componentId: "sc-9hcqmj-0"
})(["display:inline-flex;align-items:center;width:100%;height:56px;padding:16px 14px;background-color:", ";color:", ";font-size:", ";cursor:pointer;svg{fill:", ";}", ";&:hover{color:", ";svg{fill:", ";}}", ";"], function (p) {
  return p.theme.colors.primaryDark2;
}, function (p) {
  return p.theme.colors.primaryLight;
}, function (p) {
  return p.theme.fontSizes.lg;
}, function (p) {
  return p.theme.colors.primaryLight;
}, function (_ref) {
  var active = _ref.active;
  return active && css(["color:", ";svg{fill:", ";}"], function (p) {
    return p.theme.colors.light;
  }, function (p) {
    return p.theme.colors.light;
  });
}, function (p) {
  return p.theme.colors.light;
}, function (p) {
  return p.theme.colors.light;
}, function (p) {
  return p.theme.transition;
});
export var StyledItem = styled.div.withConfig({
  componentId: "sc-9hcqmj-1"
})(["display:inline-flex;flex:auto;align-items:center;padding:12px;border-radius:16px;background-color:", ";color:", ";font-size:", ";transition:all 0.1s ease-in-out;cursor:pointer;", ";"], function (p) {
  return p.theme.colors.primaryDark2;
}, function (p) {
  return p.theme.colors.light;
}, function (p) {
  return p.theme.fontSizes.base;
}, function (p) {
  return p.theme.transition;
});
export var StyledItemBadge = styled.div.withConfig({
  componentId: "sc-9hcqmj-2"
})(["width:8px;height:100%;margin-right:22px;border-radius:16px;background-color:", ";list-style:none;", ";"], function (p) {
  return p.theme.colors.primaryDark2;
}, function (p) {
  return p.theme.transition;
});
export var StyledItemBox = styled.div.withConfig({
  componentId: "sc-9hcqmj-3"
})(["display:flex;height:40px;padding:0 8px;background-color:", ";font-size:", ";", ";&:hover{", "{background-color:", ";}", "{background-color:", ";}}", ";"], function (p) {
  return p.theme.colors.primaryDark2;
}, function (p) {
  return p.theme.fontSizes.base;
}, function (_ref2) {
  var active = _ref2.active;
  return active && css(["color:", ";", "{color:", ";}", "{background-color:", ";}"], function (p) {
    return p.theme.colors.secondary;
  }, StyledItem, function (p) {
    return p.theme.colors.secondary;
  }, StyledItemBadge, function (p) {
    return p.theme.colors.secondary;
  });
}, StyledItem, function (p) {
  return p.theme.colors.primaryDark;
}, StyledItemBadge, function (p) {
  return p.active ? p.theme.colors.secondary : p.theme.colors.primaryDark;
}, function (p) {
  return p.theme.transition;
});