import _pt from "prop-types";
import React from 'react';
import { MdClose } from 'react-icons/md';
import { Button } from '../Button';
import { CloseButtonWrapper } from './styles';

var CloseButton = function CloseButton(_ref) {
  var onCancel = _ref.onCancel;
  return /*#__PURE__*/React.createElement(CloseButtonWrapper, null, /*#__PURE__*/React.createElement(Button, {
    variant: "normal",
    rounded: true,
    icon: MdClose,
    onClick: onCancel
  }));
};

CloseButton.propTypes = {
  onCancel: _pt.func
};
export default CloseButton;