import React, { createContext, useRef } from 'react';
import { tuplify } from '../utils';
import HooksModal from './HooksModal';
var defaultTriggerResponse = tuplify(Promise.resolve(false), function () {}, function () {});
defaultTriggerResponse.confirmation = Promise.resolve(false);

defaultTriggerResponse.close = function () {};

defaultTriggerResponse.update = function () {};

var HooksModalContext = /*#__PURE__*/createContext({
  current: function current() {
    return defaultTriggerResponse;
  }
});
HooksModalContext.displayName = 'HooksModalContext';

var HooksModalProvider = function HooksModalProvider(_ref) {
  var children = _ref.children;
  var modalTriggerRef = useRef(function () {
    return defaultTriggerResponse;
  });
  return /*#__PURE__*/React.createElement(HooksModalContext.Provider, {
    value: modalTriggerRef
  }, children, /*#__PURE__*/React.createElement(HooksModal, {
    modalTriggerRef: modalTriggerRef
  }));
};

export { HooksModalContext, HooksModalProvider };