import { CSSProperties, FC } from 'react';
import { AnimationModalProps } from './AnimationModal';
import { ModalFooterProps } from './Footer';
import { ModalHeaderProps } from './Header';
export declare type ModalProps = AnimationModalProps & ModalHeaderProps & ModalFooterProps & {
    zIndex?: number;
    contentStyle?: CSSProperties;
    footerStyle?: CSSProperties;
};
declare const Modal: FC<ModalProps>;
export { Modal };
