import styled from 'styled-components';
export var ModalWrapper = styled.div.withConfig({
  componentId: "sc-17qg4mj-0"
})(["position:fixed;z-index:10001;top:50%;left:50%;"]);
export var ModalStatusBar = styled.div.withConfig({
  componentId: "sc-17qg4mj-1"
})(["position:absolute;z-index:-1;top:0;width:100%;height:48px;border-radius:", ";background-color:", ";"], function (p) {
  return p.theme.radii.xl;
}, function (p) {
  switch (p.status) {
    case 'info':
      return p.theme.colors.primary;

    case 'success':
      return p.theme.colors.success;

    case 'warning':
      return p.theme.colors.warning;

    case 'error':
      return p.theme.colors.danger;

    default:
      return '';
  }
});
export var ModalContent = styled.div.withConfig({
  componentId: "sc-17qg4mj-2"
})(["display:flex;flex-direction:column;width:", "px;max-width:90vw;min-height:220px;max-height:75vh;overflow:hidden;border-radius:", ";background-color:#fff;@media screen and (max-width:36rem){width:calc(100vw - 32px);max-width:calc(100vw - 32px);max-height:calc(100vh - 132px);}"], function (p) {
  return {
    md: 516,
    lg: 786
  }[p.size] || 516;
}, function (p) {
  return p.theme.radii.xl;
});
export var CloseButtonWrapper = styled.div.withConfig({
  componentId: "sc-17qg4mj-3"
})(["position:absolute;top:24px;right:32px;background:transparent;transform:rotate(0deg);transition:all 0.2s ease-in;:hover{transform:rotate(90deg);}"]);