import { FC, MouseEvent, ReactNode } from 'react';
import { PopoverProps } from '../Popover';
import { StatusType } from '../types';
export interface PopconfirmContentProps extends PopoverProps {
    cancelText?: ReactNode;
    confirmText?: ReactNode;
    content: ReactNode;
    type?: StatusType;
    onCancel?: (event: MouseEvent) => void;
    onConfirm?: (event: MouseEvent) => void;
    onOpenComplete?: () => void;
    onCloseComplete?: () => void;
}
declare const Popconfirm: FC<PopconfirmContentProps>;
export { Popconfirm };
