import React, { ComponentType, FC, ReactNode } from 'react';
import { Positions } from '../constants';
import { StyledPopoverProps } from './styles';
export declare type PopoverProps = StyledPopoverProps & {
    Wrapper?: ComponentType;
    defaultVisible?: boolean;
    visible?: boolean;
    onVisibleChange?: (visible: boolean) => void;
    position?: Positions;
    title?: ReactNode | ((handleClose: () => void) => ReactNode);
    content: ReactNode | ((handleClose: () => void) => ReactNode);
    onOpenComplete?: () => void;
    onCloseComplete?: () => void;
};
export declare const ClickOutsideContext: React.Context<{
    setHasChild: (hasChild: boolean) => void;
}>;
declare const Popover: FC<PopoverProps>;
export { Popover };
