import { FC, ReactNode, RefObject } from 'react';
import { Positions } from '../constants';
declare type Target = ReactNode | FC<{
    ref: RefObject<HTMLElement>;
}>;
export declare type PositionerRenderer = ReactNode | FC<{
    ref: RefObject<HTMLDivElement>;
}>;
interface PositionerProps {
    visible?: boolean;
    position?: Positions;
    targetRef?: RefObject<HTMLElement>;
    positionerRef?: RefObject<HTMLDivElement>;
    targetOffset?: number;
    bodyOffset?: number;
    positioner: PositionerRenderer;
    children: Target;
    onOpenComplete?: () => void;
    onCloseComplete?: () => void;
}
declare const Positioner: FC<PositionerProps>;
export { Positioner };
