import { Positions } from '../constants';
interface Dimensions {
    width: number;
    height: number;
}
interface Viewport {
    width: number;
    height: number;
}
export default function getFittedPosition({ position, dimensions, targetRect, targetOffset, viewport, viewportOffset, }: {
    position: Positions;
    dimensions: Dimensions;
    targetRect: ClientRect;
    targetOffset: number;
    viewport: Viewport;
    viewportOffset: number;
}): {
    rect: {
        width: number;
        height: number;
        left: number;
        top: number;
        right: number;
        bottom: number;
    };
    position: Positions;
    transformOrigin: string;
};
export {};
