import React, { ReactNode } from 'react';
import { Direction } from './RadioContext';
export interface RadioGroupProps {
    children?: ReactNode;
    defaultValue?: string;
    direction?: Direction;
    options?: {
        label: ReactNode;
        value: string;
        disabled?: boolean;
    }[];
    value?: string;
    onChange?: (value: string) => void;
}
declare const RadioGroup: React.ForwardRefExoticComponent<RadioGroupProps & React.RefAttributes<HTMLDivElement>>;
export { RadioGroup };
