import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import _pt from "prop-types";
var _excluded = ["clearSelection"];
import React from 'react';
import styled from 'styled-components';
import { MdClose } from 'react-icons/md';
import { Icon } from '../Icon';
import { getDataTestId } from './utils';
var ClearIconWrapper = styled.div.withConfig({
  componentId: "sc-1oiu0pg-0"
})(["display:inline-flex;flex:none;&:hover svg{fill:", " !important;}"], function (p) {
  return p.theme.colors.gray700;
});

var ClearIcon = function ClearIcon(_ref) {
  var clearSelection = _ref.clearSelection,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(ClearIconWrapper, null, /*#__PURE__*/React.createElement(Icon, _objectSpread({
    type: MdClose,
    fill: "gray400",
    size: "20",
    cursor: "pointer",
    onClick: function onClick(e) {
      e.stopPropagation();
      clearSelection();
    }
  }, getDataTestId(props, 'clear-icon'))));
};

ClearIcon.propTypes = {
  clearSelection: _pt.func.isRequired,
  'data-testid': _pt.string
};
export default ClearIcon;