import styled, { css } from 'styled-components';
export var StyledSliderBar = styled.div.withConfig({
  componentId: "sc-1na23ce-0"
})(["position:absolute;z-index:0;width:100%;height:4px;border-radius:", ";background-color:", ";transition:background-color 200ms ease 0s;user-select:none;"], function (p) {
  return p.theme.radii.sm;
}, function (p) {
  return p.theme.colors.gray200;
});
export var StyledSliderActiveBar = styled.div.withConfig({
  componentId: "sc-1na23ce-1"
})(["position:absolute;z-index:1;height:4px;border-radius:", ";background-color:", ";transition:background-color 200ms ease 0s;user-select:none;"], function (p) {
  return p.theme.radii.sm;
}, function (p) {
  return p.theme.colors.secondaryLight;
});
export var StyledSliderContainer = styled.div.withConfig({
  componentId: "sc-1na23ce-2"
})(["position:relative;width:100%;margin-bottom:16px;padding:16px 8px 20px;user-select:none;&::before{content:'", "';position:absolute;top:0;left:4px;color:", ";font-size:12px;letter-spacing:0.2px;}&::after{content:'", "';position:absolute;top:0;right:4px;color:", ";font-size:12px;letter-spacing:0.2px;}"], function (p) {
  return p.min;
}, function (p) {
  return p.theme.colors.gray500;
}, function (p) {
  return p.max;
}, function (p) {
  return p.theme.colors.gray500;
});
export var StyledSliderDot = styled.span.withConfig({
  componentId: "sc-1na23ce-3"
})(["position:absolute;z-index:2;width:12px;height:12px;border:", ";border-radius:50%;border-color:", ";background-color:", ";transform:translate3d(2px,2px,0);cursor:pointer;user-select:none;"], function (p) {
  return p.theme.borders.lg;
}, function (p) {
  return p.theme.colors.light;
}, function (p) {
  return p.theme.colors.primary;
});
export var StyledSliderDotNumber = styled.span.withConfig({
  componentId: "sc-1na23ce-4"
})(["display:inline-flex;position:absolute;top:20px;justify-content:center;width:100%;color:", ";font-size:", ";line-height:1;transition:font-size,color 200ms ease 0s;pointer-events:none;"], function (p) {
  return p.theme.colors.gray500;
}, function (p) {
  return p.theme.fontSizes.sm;
});
export var StyledDotContainer = styled.div.withConfig({
  componentId: "sc-1na23ce-5"
})(["position:absolute;z-index:2;width:16px;height:36px;transform:translate3d(-8px,-6px,0);", ""], function (p) {
  return p.active && css(["", "{width:16px;height:16px;transform:translate3d(0,0,0);}", "{color:", ";font-size:18px;font-weight:600;}"], StyledSliderDot, StyledSliderDotNumber, p.theme.colors.gray700);
});
export var StyledSlider = styled.div.withConfig({
  componentId: "sc-1na23ce-6"
})(["position:relative;width:100%;height:12px;padding:4px 0;cursor:pointer;user-select:none;", ""], function (p) {
  return p.disabled ? css(["cursor:not-allowed;", "{background-color:", ";}", "{background-color:", ";cursor:not-allowed;}"], StyledSliderActiveBar, p.theme.colors.gray300, StyledSliderDot, p.theme.colors.gray300) : css(["&:hover{", "{background-color:", ";}", "{background-color:", ";}}", ":hover{", "{width:16px;height:16px;transform:translate3d(0,0,0);}}"], StyledSliderBar, p.theme.colors.gray300, StyledSliderActiveBar, p.theme.colors.primary, StyledDotContainer, StyledSliderDot);
});