import React from 'react';
export declare type RangeValue = [number, number];
export declare type Value = RangeValue | number;
export declare const getOffsetValue: ({ event, startX, stepOffset, min, max, }: {
    event: React.MouseEvent | React.TouchEvent;
    startX: number;
    stepOffset: number;
    min: number;
    max: number;
}) => number;
export declare const getPageX: ({ event, }: {
    event: React.TouchEvent | React.MouseEvent;
}) => number;
export declare const getMovedValue: ({ offsetX, stepOffset, min, max, }: {
    offsetX: number;
    stepOffset: number;
    min: number;
    max: number;
}) => number;
export declare const updateRangeValues: ({ value, replaceValue, newValue, }: {
    value: RangeValue;
    replaceValue: number;
    newValue: number;
}) => RangeValue;
