/// <reference types="react" />
import { theme } from '../theme';
export declare type Status = 'finish' | 'progress' | 'wait' | 'error';
export declare type Direction = 'horizontal' | 'vertical';
export declare type Colors = keyof typeof theme.colors;
declare const StepContext: import("react").Context<{
    count: number;
    status: Status;
    isLast: boolean;
    tailColor: Colors | 'gray';
    direction: Direction;
    onCurrentChange?: ((count: number) => void) | undefined;
}>;
export default StepContext;
