import { FC, ReactElement } from 'react';
import Step, { StepProps } from './Step';
import { Direction } from './StepContext';
export interface StepsProps {
    current: number;
    direction?: Direction;
    onCurrentChange?: (count: number) => void;
    children: ReactElement<StepProps>[];
}
declare const Steps: FC<StepsProps> & {
    Step: typeof Step;
};
export { Steps };
