import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["onChange", "disabled"];
import React, { forwardRef } from 'react';
import styled from 'styled-components';
var StyledSwitch = styled.label.withConfig({
  componentId: "sc-1iz9t7s-0"
})(["display:inline-flex;position:relative;width:40px;height:20px;& input{display:none;}span{position:absolute;top:0;right:0;bottom:0;left:0;border-radius:99px;background-color:", ";transition:0.4s;cursor:pointer;}span::before{content:'';position:absolute;bottom:2px;left:2px;width:16px;height:16px;border-radius:50%;background-color:white;transition:0.4s;}input:checked + span{background-color:", ";}input:checked + span::before{transform:translateX(20px);}input:disabled + span{opacity:0.4;}input:disabled + span::before{opacity:0.4;}"], function (p) {
  return p.theme.colors.gray400;
}, function (p) {
  return p.theme.colors.primary;
});
var Switch = /*#__PURE__*/forwardRef(function Switch(_ref, ref) {
  var _onChange = _ref.onChange,
      _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(StyledSwitch, {
    ref: ref
  }, /*#__PURE__*/React.createElement("input", _objectSpread({
    type: "checkbox",
    onChange: function onChange(_ref2) {
      var target = _ref2.target;

      if (_onChange) {
        _onChange(target.checked);
      }
    },
    disabled: disabled
  }, props)), /*#__PURE__*/React.createElement("span", null));
});
export { Switch };