import React, { ComponentPropsWithoutRef, ReactNode } from 'react';
import { WidthProps } from 'styled-system';
export declare type ColumnProps = ComponentPropsWithoutRef<'td'> & WidthProps & {
    children?: ReactNode;
};
declare const Column: React.ForwardRefExoticComponent<Pick<React.DetailedHTMLProps<React.TdHTMLAttributes<HTMLTableDataCellElement>, HTMLTableDataCellElement>, "key" | keyof React.TdHTMLAttributes<HTMLTableDataCellElement>> & WidthProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, import("csstype").Property.Width<import("styled-system").TLengthStyledSystem>> & {
    children?: ReactNode;
} & React.RefAttributes<HTMLTableDataCellElement>>;
export default Column;
