import { FC, MouseEventHandler } from 'react';
declare type ChangeHandler = (isValid: boolean, value: string, phoneInfo: Record<string, any>, fullPhoneNumber: string) => void;
interface TelInputProps {
    id?: string;
    name?: string;
    value?: string;
    defaultValue?: string;
    onChange?: ChangeHandler;
    onBlur?: MouseEventHandler;
    placeholder?: string;
    disabled?: boolean;
}
declare const TelInput: FC<TelInputProps>;
export { TelInput };
