import styled, { css } from 'styled-components';
import { rem } from 'polished';
import { StyledInput } from '../Input/styles';
import { StyledTextarea } from '../Input/Textarea';
export var MaxLength = styled.div.withConfig({
  componentId: "sc-53lxod-0"
})(["position:absolute;right:-1px;bottom:-2px;padding:1px 5px;border:", ";border-radius:999px;border-color:", ";opacity:0;background-color:#fff;font-size:", ";line-height:1;"], function (p) {
  return p.theme.borders.base;
}, function (p) {
  return p.theme.colors.primary;
}, rem('10px'));
export var TextFieldContainer = styled.div.withConfig({
  componentId: "sc-53lxod-1"
})(["position:relative;margin-top:10px;", ",", "{& ~ label{position:absolute;line-height:1;pointer-events:none;", " ", ";}}", ":focus,", ":focus{& ~ label{top:-7px;left:7px;padding:0 2px;background-color:#fff;color:", ";font-size:0.75rem;}& ~ ", "{opacity:1;}}"], StyledInput
/* sc-selector */
, StyledTextarea
/* sc-selector */
, function (p) {
  return p.empty ? css(["top:9px;left:1px;padding:0 ", ";color:", ";font-size:", ";"], p.theme.paddings.xs, p.theme.colors.gray400, p.theme.fontSizes.base) : css(["top:-7px;left:7px;padding:0 2px;background-color:#fff;color:", ";font-size:0.75rem;"], p.invalid ? p.theme.colors.danger : p.theme.colors.primary);
}, function (p) {
  return p.theme.transition;
}, StyledInput
/* sc-selector */
, StyledTextarea
/* sc-selector */
, function (p) {
  return p.invalid ? p.theme.colors.danger : p.theme.colors.primary;
}, MaxLength
/* sc-selector */
);