import { ComponentType, FC, ReactNode } from 'react';
import { Positions } from '../constants';
import { StyledTooltipProps } from './styles';
export declare type TooltipProps = StyledTooltipProps & {
    Wrapper?: ComponentType;
    defaultVisible?: boolean;
    visible?: boolean;
    onVisibleChange?: (visible: boolean) => void;
    position?: Positions;
    content: ReactNode;
    mouseEnterDelay?: number;
    mouseLeaveDelay?: number;
    onOpenComplete?: () => void;
    onCloseComplete?: () => void;
};
declare const Tooltip: FC<TooltipProps>;
export { Tooltip };
