import styled from 'styled-components';
import { space } from 'styled-system';
import { rgba } from 'polished';
export var StyledTooltip = styled.div.withConfig({
  componentId: "v1e2or-0"
})(["border-radius:", ";background-color:", ";color:", ";font-size:", ";white-space:nowrap;", ";"], function (p) {
  return p.theme.radii.lg;
}, function (p) {
  return rgba(p.theme.colors.gray800, 0.9);
}, function (p) {
  return p.theme.colors.light;
}, function (p) {
  return p.theme.fontSizes.sm;
}, space);
StyledTooltip.defaultProps = {
  p: 2
};