import styled, { css } from 'styled-components';
import { compose, space } from 'styled-system';
import { rem } from 'polished';
import { text } from './Text';
var heading = compose(text, space);
var headingStyles = css(["margin:0;color:", ";font-weight:bold;line-height:1.5;", ";"], function (p) {
  return p.theme.colors.gray700;
}, heading);
var Hero = styled.h1.withConfig({
  componentId: "dh6qcl-0"
})(["font-size:", ";", ";"], rem('32px'), headingStyles);
var H1 = styled.h1.withConfig({
  componentId: "dh6qcl-1"
})(["font-size:", ";", ";"], rem('28px'), headingStyles);
var H2 = styled.h2.withConfig({
  componentId: "dh6qcl-2"
})(["font-size:", ";", ";"], rem('24px'), headingStyles);
var H3 = styled.h3.withConfig({
  componentId: "dh6qcl-3"
})(["font-size:", ";", ";"], rem('20px'), headingStyles);
var H4 = styled.h4.withConfig({
  componentId: "dh6qcl-4"
})(["font-size:", ";", ";"], rem('18px'), headingStyles);
var H5 = styled.h5.withConfig({
  componentId: "dh6qcl-5"
})(["font-size:", ";", ";"], rem('16px'), headingStyles);
var H6 = styled.h6.withConfig({
  componentId: "dh6qcl-6"
})(["font-size:", ";", ";"], rem('14px'), headingStyles);
export default {
  Hero: Hero,
  H1: H1,
  H2: H2,
  H3: H3,
  H4: H4,
  H5: H5,
  H6: H6
};