interface UseOwnValueProps<V> {
    value?: V;
    defaultValue?: V;
    onChange?: (value: V) => void;
}
interface UseOwnValueOptions<V> {
    fallbackValue: V;
}
declare const useOwnValue: <V>(props: UseOwnValueProps<V>, options: UseOwnValueOptions<V>) => [V, (newValue: V) => void];
export { useOwnValue };
