import React, { useEffect } from 'react';
import { preventBodyScroll } from '../utils';

var usePreventBodyScroll = function usePreventBodyScroll(preventScroll) {
  useEffect(function () {
    preventBodyScroll(preventScroll);
    return function () {
      return preventBodyScroll(false);
    };
  }, [preventScroll]);
};

export { usePreventBodyScroll };