import React, { useRef } from 'react';

var useTargetRef = function useTargetRef(_ref) {
  var children = _ref.children;
  var targetRefFromSelf = useRef(null);
  var targetRef = children && children.ref ? children.ref : targetRefFromSelf;
  return targetRef;
};

export { useTargetRef };