import styled, { css } from 'styled-components';
import { animated } from '@react-spring/web';
import { rgba } from 'polished';
export var StyledTab = styled.a.withConfig({
  componentId: "sc-4h1awc-0"
})(["display:inline-flex;position:relative;align-items:center;font-weight:bold;text-align:center;text-decoration:none;cursor:pointer;", ";"], function (p) {
  return p.theme.transition;
}
/* sc-declaration */
);
export var TabLine = styled(animated.div).withConfig({
  componentId: "sc-4h1awc-1"
})(["position:absolute;z-index:1;bottom:0;width:100%;height:3px;border-radius:", ";background-color:", ";"], function (p) {
  return p.theme.radii.base;
}, function (p) {
  return rgba(p.theme.colors.primaryDark, 0.5);
});
export var TabActiveLine = styled(animated.div).withConfig({
  componentId: "sc-4h1awc-2"
})(["position:absolute;z-index:2;bottom:0;height:3px;border-radius:", ";background-color:", ";"], function (p) {
  return p.theme.radii.base;
}, function (p) {
  return p.theme.colors.secondary;
});
export var StyledTabs = styled.nav.withConfig({
  componentId: "sc-4h1awc-3"
})(["display:flex;position:relative;", " ", "{", ";}", ""], function (p) {
  return p.type === 'card' ? css(["", "{background-color:", ";color:", ";border-top:", " transparent;&:hover{color:", ";}&:active{color:", ";}&:first-child{border-top-left-radius:", ";border-left:", " transparent;}&:last-child{border-top-right-radius:", ";border-right:", " transparent;}&.active{z-index:1;background-color:", ";color:", ";border-color:", ";box-shadow:0px -2px 4px -4px rgba(100,120,168,0.3),4px 0px 4px -4px rgba(100,120,168,0.3),-4px 0px 4px -4px rgba(100,120,168,0.3);}}", ":not(.active) + ", ":not(.active)::before{content:'';position:absolute;left:0;width:1px;height:", ";background-color:", ";}"], StyledTab, p.theme.colors.primaryLight2, p.theme.colors.gray500, p.theme.borders.base, p.theme.colors.primaryLight, p.theme.colors.primary, p.theme.radii.xl, p.theme.borders.base, p.theme.radii.xl, p.theme.borders.base, p.theme.colors.light, p.theme.colors.primaryLight, p.theme.colors.primaryLight2, StyledTab, StyledTab, p.theme.fontSizes[p.size === 'md' ? 'base' : p.size], p.theme.colors.gray500) : css(["", "{background-color:transparent;color:", ";&:hover{color:", ";}&:active{color:", ";}}"], StyledTab, p.theme.colors.gray300, p.theme.colors.light, p.theme.colors.secondary);
}, StyledTab, function (p) {
  return {
    sm: css(["height:40px;padding:0 20px;font-size:", ";"], p.theme.fontSizes.sm),
    md: css(["height:48px;padding:0 24px;font-size:", ";"], p.theme.fontSizes.base),
    lg: css(["height:56px;padding:0 28px;font-size:", ";"], p.theme.fontSizes.lg)
  }[p.size];
}, function (p) {
  return p.theme.transition;
});