import { ReactNode } from 'react';
import { TooltipProps as DefaultTooltipProps } from '@reach/tooltip';
import type * as Polymorphic from '@reach/utils/polymorphic';
interface TooltipProps extends Omit<DefaultTooltipProps, 'label' | 'ariaLabel'> {
    content: ReactNode;
}
declare const Tooltip: Polymorphic.ForwardRefComponent<"div", TooltipProps>;
export { Tooltip };
