import _taggedTemplateLiteral from "@babel/runtime/helpers/taggedTemplateLiteral";

var _templateObject;

import { createGlobalStyle, css } from 'styled-components';
import { rgba } from 'polished';
var tooltipStyles = css([":root{--reach-tooltip:1;}[data-reach-tooltip]{position:absolute;z-index:1;padding:", ";border-radius:", ";background-color:", ";color:", ";font-size:", ";white-space:nowrap;pointer-events:none;}"], function (p) {
  return p.theme.space[2];
}, function (p) {
  return p.theme.radii.lg;
}, function (p) {
  return rgba(p.theme.colors.gray800, 0.9);
}, function (p) {
  return p.theme.colors.light;
}, function (p) {
  return p.theme.fontSizes.sm;
});
export var TooltipStyle = createGlobalStyle(_templateObject || (_templateObject = _taggedTemplateLiteral(["", ""])), tooltipStyles);