import en_US from './en_US';
import zh_Hant from './zh_Hant';
export declare type LocaleType = typeof en_US;
declare const _default: {
    en_US: {
        locale: string;
        DatePicker: import("rc-picker/lib/interface").Locale;
        Modal: {
            confirmText: string;
            cancelText: string;
        };
        Popconfirm: {
            confirmText: string;
            cancelText: string;
        };
        Select: {
            noDataText: string;
        };
        Upload: {
            uploadText: string;
            uploadingText: string;
            uploadedText: string;
            failedText: string;
        };
    };
    zh_Hant: {
        locale: string;
        DatePicker: import("rc-picker/lib/interface").Locale;
        Modal: {
            confirmText: string;
            cancelText: string;
        };
        Popconfirm: {
            confirmText: string;
            cancelText: string;
        };
        Select: {
            noDataText: string;
        };
        Upload: {
            uploadText: string;
            uploadingText: string;
            uploadedText: string;
            failedText: string;
        };
    };
};
export default _default;
export { en_US, zh_Hant };
