import _objectSpread from "@babel/runtime/helpers/objectSpread2";

// https://github.com/renatorib/react-powerplug/blob/master/src/utils/composeEvents.js
var mergeEventProps = function mergeEventProps() {
  for (var _len = arguments.length, objEvents = new Array(_len), _key = 0; _key < _len; _key++) {
    objEvents[_key] = arguments[_key];
  }

  return objEvents.reduce(function (allEvents, events) {
    var append = {};
    Object.keys(events).forEach(function (key) {
      append[key] = allEvents[key] ? // Already have this event: let's merge
      function () {
        events[key].apply(events, arguments);
        allEvents[key].apply(allEvents, arguments);
      } : // Don't have this event yet: just assign the event
      events[key];
    });
    return _objectSpread(_objectSpread({}, allEvents), append);
  });
};

export { mergeEventProps };