import { FC } from 'react';
import { StatusType } from '../types';
import { AlertProps as ClosableAlertProps } from './ClosableAlert';
declare type AlertProps = Omit<ClosableAlertProps, 'type' | 'closable'> & {
    type?: StatusType;
    closable?: boolean;
};
declare const Alert: FC<AlertProps>;
export { Alert };
