import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["children", "icon", "loading", "size"];
import React, { forwardRef } from 'react';
import ButtonIcon from './ButtonIcon';
import { StyledButton } from './styles';
var Button = /*#__PURE__*/forwardRef(function Button(_ref, ref) {
  var children = _ref.children,
      icon = _ref.icon,
      _ref$loading = _ref.loading,
      loading = _ref$loading === void 0 ? false : _ref$loading,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 'md' : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(StyledButton, _objectSpread({
    ref: ref,
    hasIcon: Boolean(icon && !children),
    size: size,
    isLoading: loading
  }, props), /*#__PURE__*/React.createElement(ButtonIcon, {
    icon: icon,
    loading: loading,
    size: size,
    buttonContent: children
  }), children);
});
export { Button };