import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import React from 'react';
import { CardWrapper, StyledBlock, StyledImage } from './styles';

var Card = function Card(props) {
  return /*#__PURE__*/React.createElement(CardWrapper, _objectSpread({
    clickable: !!props.onClick
  }, props));
};

Card.Block = StyledBlock;
Card.Image = StyledImage;
Card.defaultProps = {
  bg: 'light',
  borderRadius: 'lg',
  borderColor: 'gray300'
};
export { Card };