import { DefaultTheme, StyledComponent } from 'styled-components';
import { BorderColorProps, BorderRadiusProps, ColorProps, HeightProps, SpaceProps, WidthProps } from 'styled-system';
import { ComponentPropsWithoutRef } from 'react';
export declare const StyledImage: StyledComponent<'div', DefaultTheme, SpaceProps, never>;
export declare const StyledBlock: StyledComponent<'div', DefaultTheme, SpaceProps & HeightProps, never>;
export declare type CardProps = ComponentPropsWithoutRef<'div'> & SpaceProps & HeightProps & WidthProps & ColorProps & BorderColorProps & BorderRadiusProps & {
    clickable?: boolean;
    hoverable?: boolean;
};
export declare const CardWrapper: StyledComponent<"div", any, Pick<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & SpaceProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, string | number | symbol> & HeightProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, import("csstype").Property.Height<import("styled-system").TLengthStyledSystem>> & WidthProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, import("csstype").Property.Width<import("styled-system").TLengthStyledSystem>> & ColorProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, string | number | symbol> & BorderColorProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, string | number | symbol> & BorderRadiusProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, string | number | symbol> & {
    clickable?: boolean | undefined;
    hoverable?: boolean | undefined;
}, never>;
