import styled, { css } from 'styled-components';
import { borderColor, borderRadius, color, height, space, width } from 'styled-system';
import React from 'react';
export var StyledImage = styled.div.withConfig({
  componentId: "vbs5d9-0"
})(["overflow:hidden;img{display:block;width:auto;max-width:100%;height:auto;}", ";"], space);
export var StyledBlock = styled.div.withConfig({
  componentId: "vbs5d9-1"
})(["position:relative;border-bottom:", ";border-color:", ";font-size:", ";&:last-child{border-bottom:0;}", ";", ";"], function (p) {
  return p.theme.borders.base;
}, function (p) {
  return p.theme.colors.gray300;
}, function (p) {
  return p.theme.fontSizes.base;
}, space, height);
StyledBlock.defaultProps = {
  p: 3
};
export var CardWrapper = styled.div.withConfig({
  componentId: "vbs5d9-2"
})(["display:flex;flex-direction:column;border:", ";", ";", ";", ";", ":first-child{border-top-left-radius:calc(", " - 1px);border-top-right-radius:calc(", " - 1px);}", ":last-child{border-bottom-right-radius:calc(", " - 1px);border-bottom-left-radius:calc(", " - 1px);}", ";", ";", ";", ";", ";", ";"], function (p) {
  return p.theme.borders.base;
}, function (p) {
  return p.theme.transition;
}, function (_ref) {
  var clickable = _ref.clickable;
  return clickable && css(["cursor:pointer;"]);
}, function (_ref2) {
  var hoverable = _ref2.hoverable;
  return hoverable && css(["box-shadow:", ";&:hover{box-shadow:", ";}"], function (p) {
    return p.theme.shadows.base;
  }, function (p) {
    return p.theme.shadows.lg;
  });
}, StyledImage
/* sc-selector */
, function (p) {
  return p.theme.radii.lg;
}, function (p) {
  return p.theme.radii.lg;
}, StyledImage
/* sc-selector */
, function (p) {
  return p.theme.radii.lg;
}, function (p) {
  return p.theme.radii.lg;
}, space, height, width, color, borderColor, borderRadius);