import styled, { css } from 'styled-components';
export var CheckboxWrapper = styled.span.withConfig({
  componentId: "sc-19qg157-0"
})(["display:inline-block;position:relative;margin-bottom:1px;line-height:1;"]);
export var CheckboxInner = styled.span.withConfig({
  componentId: "sc-19qg157-1"
})(["display:block;position:relative;width:16px;height:16px;padding:0;border:", ";border-radius:2px;border-color:", ";background-color:", ";color:", ";", ";&::after{content:'';position:absolute;top:1px;left:5px;width:5px;height:10px;border:solid white;border-width:0 2px 2px 0;opacity:0;transform:rotate(45deg) scale(0);", ";}"], function (p) {
  return p.theme.borders.base;
}, function (p) {
  return p.theme.colors.gray400;
}, function (p) {
  return p.theme.colors.light;
}, function (p) {
  return p.theme.colors.gray700;
}, function (p) {
  return p.theme.transition;
}, function (p) {
  return p.theme.transition;
});
export var StyledCheckbox = styled.input.attrs({
  type: 'checkbox'
}).withConfig({
  componentId: "sc-19qg157-2"
})(["position:absolute;top:0;right:0;bottom:0;left:0;width:100%;height:100%;opacity:0;&:checked + ", "{border-color:", ";background-color:", ";}&:checked + ", "::after{opacity:1;transform:rotate(45deg) scale(1);}"], CheckboxInner
/* sc-selector */
, function (p) {
  return p.theme.colors.primary;
}, function (p) {
  return p.theme.colors.primary;
}, CheckboxInner
/* sc-selector */
);
export var CheckboxLabelBase = styled.label.withConfig({
  componentId: "sc-19qg157-3"
})(["display:inline-flex;align-items:center;font-size:", ";cursor:", ";& + &{", ":", ";}", ";"], function (p) {
  return p.theme.fontSizes.base;
}, function (p) {
  return p.disabled ? 'not-allowed' : 'pointer';
}, function (_ref) {
  var direction = _ref.direction;
  return direction === 'horizontal' ? 'margin-left' : 'margin-top';
}
/* sc-prop */
, function (p) {
  return p.theme.space[2];
}, function (p) {
  return p.disabled ? css(["opacity:0.5;"]) : css(["&:hover ", "{border-color:", ";}"], CheckboxInner
  /* sc-selector */
  , p.theme.colors.primary);
});
export var CheckboxLabel = styled(CheckboxLabelBase).withConfig({
  componentId: "sc-19qg157-4"
})(["& + ", "{", ":", ";}"], CheckboxLabelBase
/* sc-selector */
, function (_ref2) {
  var direction = _ref2.direction;
  return direction === 'horizontal' ? 'margin-left' : 'margin-top';
}
/* sc-prop */
, function (p) {
  return p.theme.space[2];
});
export var CheckboxGroupFlex = styled.div.withConfig({
  componentId: "sc-19qg157-5"
})(["display:", ";flex-direction:", ";"], function (p) {
  return p.direction === 'horizontal' ? 'flex' : 'inline-flex';
}, function (p) {
  return p.direction === 'horizontal' ? 'row' : 'column';
});