import React, { ComponentPropsWithoutRef, ReactNode } from 'react';
import { BoxProps } from '../Layout/Box';
export interface SectionProps extends Omit<BoxProps, 'color'> {
    title?: ReactNode;
    children: ReactNode;
}
declare const Section: React.ForwardRefExoticComponent<SectionProps & React.RefAttributes<HTMLDivElement>>;
interface ContainerTitleProps {
    title?: ReactNode;
    subTitle?: ReactNode;
}
export declare type ContainerProps = Omit<BoxProps, 'color'> & ContainerTitleProps & Omit<ComponentPropsWithoutRef<'div'>, 'title'>;
declare const Container: React.ForwardRefExoticComponent<Omit<BoxProps, "color"> & ContainerTitleProps & Omit<Pick<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key" | keyof React.HTMLAttributes<HTMLDivElement>>, "title"> & React.RefAttributes<HTMLDivElement>> & {
    Section: typeof Section;
};
export { Container };
