declare const useSharedProps: <T extends Record<string, unknown>>(props: T) => {
    prefixCls: string;
    inputReadOnly: boolean;
    prevIcon: JSX.Element;
    nextIcon: JSX.Element;
    superPrevIcon: JSX.Element;
    superNextIcon: JSX.Element;
    clearIcon: JSX.Element;
    suffixIcon: JSX.Element;
    generateConfig: import("rc-picker/lib/generate").GenerateConfig<Date>;
    locale: import("rc-picker/lib/interface").Locale;
    onOpenChange: (open: boolean) => void;
    format: (date: Date) => string;
} & T;
export default useSharedProps;
