import { FC } from 'react';
import { ColorProps, SpaceProps, TypographyProps } from 'styled-system';
export declare type DividerProps = SpaceProps & ColorProps & TypographyProps & {
    type?: 'horizontal' | 'vertical';
    orientation?: 'left' | 'right';
    dashed?: boolean;
};
declare const Divider: FC<DividerProps>;
export { Divider };
