import { FC, ReactNode } from 'react';
import { Placement } from './types';
export interface DrawerProps {
    visible: boolean;
    onClose: () => void;
    title?: ReactNode;
    footer?: ReactNode;
    placement?: Placement;
    closable?: boolean;
    maskClosable?: boolean;
    width?: string | number;
    height?: string | number;
}
declare const Drawer: FC<DrawerProps>;
export { Drawer };
