import React, { ComponentPropsWithoutRef } from 'react';
export declare type TextareaProps = ComponentPropsWithoutRef<'textarea'> & {
    resize?: boolean;
    onResize?: (e: Event) => void;
    maxRows?: number;
    async?: boolean;
};
export declare const StyledTextarea: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<React.RefAttributes<HTMLTextAreaElement>>, any, Pick<React.DetailedHTMLProps<React.TextareaHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement>, "key" | keyof React.TextareaHTMLAttributes<HTMLTextAreaElement>> & {
    resize?: boolean | undefined;
    onResize?: ((e: Event) => void) | undefined;
    maxRows?: number | undefined;
    async?: boolean | undefined;
}, never>;
declare const Textarea: React.ForwardRefExoticComponent<Pick<React.DetailedHTMLProps<React.TextareaHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement>, "key" | keyof React.TextareaHTMLAttributes<HTMLTextAreaElement>> & {
    resize?: boolean | undefined;
    onResize?: ((e: Event) => void) | undefined;
    maxRows?: number | undefined;
    async?: boolean | undefined;
} & React.RefAttributes<HTMLTextAreaElement>>;
export { Textarea };
