import { FC } from 'react';
declare type FilteredSuggestionType = 'option' | 'create';
export interface FilteredSuggestion {
    type: FilteredSuggestionType;
    value: string;
}
export declare type FilteredSuggestions = FilteredSuggestion[];
export declare type FormatCreateText = (text: string) => string;
interface MentionProps {
    value?: string;
    defaultValue: string;
    suggestions: string[];
    disabled?: boolean;
    creatable: boolean;
    highlightInvalid: boolean;
    formatCreateText: FormatCreateText;
    onBlur?: () => void;
    onChange?: (value: string) => void;
    onMentionCreate: (newMention: string) => void;
}
declare const Mention: FC<MentionProps>;
export { Mention };
