interface GetOverlayPosition {
    mentionRect: {
        top: number;
        left: number;
    };
    coordinates: {
        top: number;
        left: number;
        height: number;
    };
    target: HTMLElement;
    placement: 'bottom' | 'top';
}
export interface OverlayPosition {
    top: number;
    left: number;
}
export declare const getOverlayPosition: ({ mentionRect, coordinates, target, placement, }: GetOverlayPosition) => OverlayPosition;
export declare const getCursorPosition: (value: string, selectionStart: number) => {
    startPos: number;
    endPos: number;
};
export declare const getMentionCursor: (originValue: string, selectionStart: number) => {
    mention: null;
    searchValue: null;
    createValue: null;
    startPos: number;
    endPos: number;
} | {
    mention: string;
    searchValue: string;
    createValue: string;
    startPos: number;
    endPos: number;
};
export {};
