import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import _pt from "prop-types";
var _excluded = ["children", "active", "onClick"];
import React from 'react';
import { StyledItem, StyledItemBadge, StyledItemBox } from './styles';

var Item = function Item(_ref) {
  var children = _ref.children,
      _ref$active = _ref.active,
      active = _ref$active === void 0 ? false : _ref$active,
      onClick = _ref.onClick,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(StyledItemBox, _objectSpread({
    active: active,
    onClick: onClick
  }, props), /*#__PURE__*/React.createElement(StyledItem, null, /*#__PURE__*/React.createElement(StyledItemBadge, null), children));
};

Item.propTypes = {
  active: _pt.bool,
  onClick: _pt.func
};
export default Item;