import { FC } from 'react';
import Item from './Item';
import SubMenu from './SubMenu';
interface MenuProps {
    width?: number;
    currentSubOnly?: boolean;
    subKeys?: string[];
    defaultSubKeys?: string[];
    onUpdateSubKeys?: (keys: string[]) => void;
}
declare const Menu: FC<MenuProps> & {
    SubMenu: typeof SubMenu;
    Item: typeof Item;
};
export { Menu };
