import { FC, KeyboardEventHandler, MouseEventHandler } from 'react';
import { StatusType } from '../types';
import { ModalSize } from './types';
export interface AnimationModalProps {
    onCancel: MouseEventHandler | KeyboardEventHandler;
    onOpenComplete?: () => void;
    onCloseComplete?: () => void;
    size?: ModalSize;
    closable?: boolean;
    status?: StatusType | null;
    visible: boolean;
    zIndex?: number;
}
declare const AnimationModal: FC<AnimationModalProps>;
export default AnimationModal;
