import { CSSProperties, FC, MouseEventHandler, ReactNode } from 'react';
import { ButtonProps } from '../Button';
export interface FooterButtonsProps {
    closable?: boolean;
    cancelText?: ReactNode;
    confirmText?: ReactNode;
    onConfirm?: MouseEventHandler;
    onCancel?: MouseEventHandler;
    confirmButtonProps?: ButtonProps;
    cancelButtonProps?: ButtonProps;
}
export declare const FooterButtons: FC<FooterButtonsProps>;
export interface ModalFooterProps extends FooterButtonsProps {
    footer?: ReactNode;
    style?: CSSProperties;
}
declare const ModalFooter: FC<ModalFooterProps>;
export default ModalFooter;
