import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["title", "content", "handleClose", "Wrapper"];
import React, { memo } from 'react';
import { Heading } from '../Typography';
import { PopoverHeader, StyledPopover } from './styles';
var PopoverPopup = /*#__PURE__*/memo(function PopoverPopup(_ref) {
  var title = _ref.title,
      content = _ref.content,
      handleClose = _ref.handleClose,
      _ref$Wrapper = _ref.Wrapper,
      Wrapper = _ref$Wrapper === void 0 ? StyledPopover : _ref$Wrapper,
      otherProps = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(Wrapper, _objectSpread({}, otherProps), title && /*#__PURE__*/React.createElement(PopoverHeader, null, /*#__PURE__*/React.createElement(Heading.H6, null, title instanceof Function ? title(handleClose) : title)), content instanceof Function ? content(handleClose) : content);
});
export default PopoverPopup;