import { FC, RefObject } from 'react';
import { SpringValue } from '@react-spring/web';
import { Positions } from '../constants';
import { PositionerRenderer } from './Positioner';
interface PositionerImplProps {
    style: {
        opacity: SpringValue<number>;
        transform: SpringValue<string>;
        pointerEvents?: SpringValue<'none'>;
    };
    position: Positions;
    positioner: PositionerRenderer;
    positionerRef?: RefObject<HTMLDivElement>;
    targetRef: RefObject<HTMLElement>;
}
declare const PositionerImpl: FC<PositionerImplProps>;
export default PositionerImpl;
