import styled, { css } from 'styled-components';
export var RadioWrapper = styled.span.withConfig({
  componentId: "sc-12zx7ee-0"
})(["display:inline-block;position:relative;margin-bottom:1px;line-height:1;"]);
export var RadioInner = styled.span.withConfig({
  componentId: "sc-12zx7ee-1"
})(["display:block;position:relative;width:16px;height:16px;padding:0;border:", ";border-radius:50%;border-color:", ";background-color:", ";color:", ";", ";&::after{content:'';position:absolute;top:2px;left:2px;width:10px;height:10px;border-radius:50%;opacity:0;background-color:", ";transform:scale(0);", ";}"], function (p) {
  return p.theme.borders.base;
}, function (p) {
  return p.theme.colors.gray400;
}, function (p) {
  return p.theme.colors.light;
}, function (p) {
  return p.theme.colors.gray700;
}, function (p) {
  return p.theme.transition;
}, function (p) {
  return p.theme.colors.primary;
}, function (p) {
  return p.theme.transition;
});
export var StyledRadio = styled.input.attrs({
  type: 'radio'
}).withConfig({
  componentId: "sc-12zx7ee-2"
})(["position:absolute;top:0;right:0;bottom:0;left:0;width:100%;height:100%;opacity:0;&:checked + ", "{border-color:", ";}&:checked + ", "::after{opacity:1;transform:scale(1);}"], RadioInner
/* sc-selector */
, function (p) {
  return p.theme.colors.primary;
}, RadioInner
/* sc-selector */
);
export var RadioLabelBase = styled.label.withConfig({
  componentId: "sc-12zx7ee-3"
})(["display:inline-flex;align-items:center;font-size:", ";cursor:", ";", ";"], function (p) {
  return p.theme.fontSizes.base;
}, function (p) {
  return p.disabled ? 'not-allowed' : 'pointer';
}, function (p) {
  return p.disabled ? css(["opacity:0.5;"]) : css(["&:hover ", "{border-color:", ";}"], RadioInner
  /* sc-selector */
  , p.theme.colors.primary);
});
export var RadioLabel = styled(RadioLabelBase).withConfig({
  componentId: "sc-12zx7ee-4"
})(["& + ", "{", ":", ";}"], RadioLabelBase
/* sc-selector */
, function (_ref) {
  var direction = _ref.direction;
  return direction === 'horizontal' ? 'margin-left' : 'margin-top';
}
/* sc-prop */
, function (p) {
  return p.theme.space[2];
});
export var RadioGroupFlex = styled.div.withConfig({
  componentId: "sc-12zx7ee-5"
})(["display:", ";flex-direction:", ";"], function (p) {
  return p.direction === 'horizontal' ? 'flex' : 'inline-flex';
}, function (p) {
  return p.direction === 'horizontal' ? 'row' : 'column';
});