import React from 'react';
import { MdKeyboardArrowUp } from 'react-icons/md';
import { animated, config, to, useSpring } from '@react-spring/web';
import { Icon } from '../Icon';

var SelectArrow = function SelectArrow(_ref) {
  var on = _ref.on;

  var _useSpring = useSpring({
    deg: on ? 0 : 180,
    config: config.stiff
  }),
      deg = _useSpring.deg;

  return /*#__PURE__*/React.createElement(animated.i, {
    style: {
      transform: to(deg, function (d) {
        return "rotate(".concat(d, "deg)");
      }),
      flex: 'none',
      pointerEvents: 'none',
      display: 'inline-flex'
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    type: MdKeyboardArrowUp,
    fill: "gray400"
  }));
};

export default SelectArrow;