import React, { ChangeEventHandler, FocusEventHandler } from 'react';
import { Option } from './SelectOptions';
export interface SelectInputProps {
    visible: boolean;
    searchable: boolean;
    creatable: boolean;
    multiple: boolean;
    inputValue: string;
    onChange: ChangeEventHandler<HTMLInputElement>;
    onBlur?: FocusEventHandler<HTMLInputElement>;
    options: Option[];
    selectedItem: Option;
    selectedItems: Option[];
    removeItem: (item: Option) => void;
    placeholder: string;
    getInputProps: () => any;
    'data-testid'?: string;
}
declare const SelectInput: React.ForwardRefExoticComponent<SelectInputProps & React.RefAttributes<HTMLInputElement>>;
export default SelectInput;
