import styled, { css } from 'styled-components';
export var StepsIconItem = styled.div.withConfig({
  componentId: "sc-17axcvs-0"
})(["display:flex;position:relative;flex:none;align-items:center;justify-content:center;width:32px;height:32px;margin-right:8px;border:", ";border-radius:50%;border-color:", ";background-color:", ";color:", ";cursor:pointer;", ";", ";"], function (p) {
  return p.theme.borders.base;
}, function (p) {
  switch (p.status) {
    case 'progress':
    case 'finish':
      return p.theme.colors.primary;

    case 'error':
      return p.theme.colors.danger;

    case 'wait':
    default:
      return p.theme.colors.gray500;
  }
}, function (p) {
  return p.status === 'progress' ? p.theme.colors.primary : p.theme.colors.light;
}, function (p) {
  switch (p.status) {
    case 'progress':
      return p.theme.colors.light;

    case 'finish':
      return p.theme.colors.primary;

    case 'error':
      return p.theme.colors.danger;

    case 'wait':
    default:
      return p.theme.colors.gray500;
  }
}, function (p) {
  return !p.isLast && p.direction === 'vertical' && css(["&::before{content:'';display:block;position:absolute;top:100%;left:50%;width:1px;height:100%;margin-top:6px;background:", ";}"], p.tailColor === 'gray' ? p.theme.colors.gray500 : p.theme.colors[p.tailColor]);
}, function (p) {
  return p.theme.transition;
}
/* sc-declaration */
);
export var Title = styled.div.withConfig({
  componentId: "sc-17axcvs-1"
})(["display:inline-block;position:relative;align-items:center;height:32px;padding-right:16px;color:", ";line-height:32px;", ";", ";"], function (p) {
  switch (p.status) {
    case 'progress':
      return p.theme.colors.primary;

    case 'error':
      return p.theme.colors.danger;

    case 'finish':
    case 'wait':
    default:
      return p.theme.colors.gray500;
  }
}, function (p) {
  return !p.isLast && p.direction === 'horizontal' && css(["&::after{content:'';display:block;position:absolute;top:16px;left:100%;width:9999px;height:1px;background:", ";}"], p.tailColor === 'gray' ? p.theme.colors.gray500 : p.theme.colors[p.tailColor]);
}, function (p) {
  return p.theme.transition;
}
/* sc-declaration */
);
export var Description = styled.div.withConfig({
  componentId: "sc-17axcvs-2"
})(["padding-bottom:", ";color:", ";font-size:", ";", ";"], function (p) {
  return p.direction === 'vertical' && '12px';
}, function (p) {
  switch (p.status) {
    case 'progress':
      return p.theme.colors.primary;

    case 'error':
      return p.theme.colors.danger;

    case 'finish':
    case 'wait':
    default:
      return p.theme.colors.gray500;
  }
}, function (p) {
  return p.theme.fontSizes.sm;
}, function (p) {
  return p.theme.transition;
}
/* sc-declaration */
);