import React, { ComponentPropsWithoutRef, ReactNode } from 'react';
import { WidthProps } from 'styled-system';
export declare type HeadColumnProps = ComponentPropsWithoutRef<'th'> & WidthProps & {
    fixed?: 'left' | 'right';
    children?: ReactNode;
};
declare const HeadColumn: React.ForwardRefExoticComponent<Pick<React.DetailedHTMLProps<React.ThHTMLAttributes<HTMLTableHeaderCellElement>, HTMLTableHeaderCellElement>, "key" | keyof React.ThHTMLAttributes<HTMLTableHeaderCellElement>> & WidthProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, import("csstype").Property.Width<import("styled-system").TLengthStyledSystem>> & {
    fixed?: "left" | "right" | undefined;
    children?: ReactNode;
} & React.RefAttributes<HTMLTableHeaderCellElement>>;
export default HeadColumn;
