import { MaxHeightProps, TextAlignProps, WidthProps } from 'styled-system';
interface ShadowType {
    showScrollShadowStart?: boolean;
    showScrollShadowEnd?: boolean;
    isLastFixedLeft?: boolean;
    isFirstFixedRight?: boolean;
    fixed?: boolean;
}
export declare const StyledHeadColumn: import("styled-components").StyledComponent<"th", any, WidthProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, import("csstype").Property.Width<import("styled-system").TLengthStyledSystem>> & ShadowType, never>;
export declare const StyledColumn: import("styled-components").StyledComponent<"td", any, ShadowType, never>;
export declare const Row: import("styled-components").StyledComponent<"tr", any, {}, never>;
export declare const StyledTable: import("styled-components").StyledComponent<"table", any, {}, never>;
export declare type StyledTableWrapperProps = TextAlignProps & WidthProps & MaxHeightProps & {
    hasHeader: boolean;
    hasFooter: boolean;
};
export declare const StyledTableWrapper: import("styled-components").StyledComponent<"div", any, TextAlignProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>> & WidthProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, import("csstype").Property.Width<import("styled-system").TLengthStyledSystem>> & MaxHeightProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, import("csstype").Property.MaxHeight<import("styled-system").TLengthStyledSystem>> & {
    hasHeader: boolean;
    hasFooter: boolean;
}, never>;
export declare type TableWrapperProps = WidthProps & {
    hasHeader: boolean;
    hasFooter: boolean;
};
export declare const TableWrapper: import("styled-components").StyledComponent<"div", any, WidthProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, import("csstype").Property.Width<import("styled-system").TLengthStyledSystem>> & {
    hasHeader: boolean;
    hasFooter: boolean;
}, never>;
export {};
