import styled from 'styled-components';
import { AutoSizeInput } from '../AutoSizeInput';
export var StyledTag = styled.div.withConfig({
  componentId: "sc-1ub0w4p-0"
})(["display:inline-flex;align-items:center;height:28px;padding:0 8px;border:", ";border-radius:", ";border-color:", ";background-color:", ";color:", ";font-size:", ";white-space:nowrap;cursor:", ";input{color:", ";}"], function (p) {
  return p.theme.borders.base;
}, function (p) {
  return p.theme.radii.lg;
}, function (p) {
  if (p.disabled) {
    return p.theme.colors.gray500;
  }

  if (p.invalid) {
    return p.theme.colors.danger;
  }

  return p.theme.colors.primaryLight;
}, function (p) {
  if (p.disabled) {
    return p.theme.colors.gray300;
  }

  if (p.invalid) {
    return p.theme.colors.light;
  }

  return p.theme.colors.surface2;
}, function (p) {
  if (p.disabled) {
    return p.theme.colors.gray500;
  }

  if (p.invalid) {
    return p.theme.colors.danger;
  }

  return p.theme.colors.primaryLight;
}, function (p) {
  return p.theme.fontSizes.sm;
}, function (p) {
  if (p.disabled) {
    return 'not-allowed';
  }

  if (p.editable || Boolean(p.onClick)) {
    return 'pointer';
  }

  return 'auto';
}, function (p) {
  return p.invalid ? p.theme.colors.danger : p.theme.colors.primaryLight;
});
export var StyledTagPrefix = styled.span.withConfig({
  componentId: "sc-1ub0w4p-1"
})(["display:inline-flex;align-items:center;height:100%;margin-right:8px;padding-right:8px;border-right:", ";border-color:", ";color:", ";font-size:", ";"], function (p) {
  return p.theme.borders.base;
}, function (p) {
  return p.invalid ? p.theme.colors.danger : p.theme.colors.primaryLight;
}, function (p) {
  return p.invalid ? p.theme.colors.danger : p.theme.colors.primaryLight;
}, function (p) {
  return p.theme.fontSizes.sm;
});
export var StyledTagInput = styled(AutoSizeInput).withConfig({
  componentId: "sc-1ub0w4p-2"
})(["display:inline-flex;margin:0;padding:0;border:none;outline:none;background-color:transparent;font-size:", ";"], function (p) {
  return p.theme.fontSizes.sm;
});