import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["content", "handleOpen", "handleClose", "Wrapper"];
import React, { memo } from 'react';
import { StyledTooltip } from './styles';
var TooltipPopup = /*#__PURE__*/memo(function TooltipPopup(_ref) {
  var content = _ref.content,
      handleOpen = _ref.handleOpen,
      handleClose = _ref.handleClose,
      _ref$Wrapper = _ref.Wrapper,
      Wrapper = _ref$Wrapper === void 0 ? StyledTooltip : _ref$Wrapper,
      otherProps = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(Wrapper, _objectSpread({
    onMouseEnter: handleOpen,
    onMouseLeave: handleClose
  }, otherProps), content);
});
export default TooltipPopup;