import { FC } from 'react';
import { DropzoneOptions } from 'react-dropzone';
import { ButtonProps } from '../Button';
interface UploadProps extends DropzoneOptions {
    disabled?: boolean;
    onSelect: (files: File[]) => Promise<any>;
    onClear?: (file: File) => void;
    onBeforeSelect?: () => Promise<boolean> | boolean;
    texts?: {
        uploadText?: string;
        uploadingText?: string;
        uploadedText?: string;
        failedText?: string;
    };
    buttonProps?: ButtonProps;
}
declare const Upload: FC<UploadProps>;
export { Upload };
