import { FC, ReactNode, RefObject } from 'react';
import { SelectOption, SelectValue } from './types';
interface SelectOptionsProps {
    selectRef: RefObject<HTMLButtonElement>;
    visible: boolean;
    getMenuProps: any;
    getItemProps: any;
    options: SelectOption[];
    selectedItem?: SelectValue;
    selectedItems?: SelectOption[];
    highlightedIndex: number;
    formatCreateLabel: (labelInfo: {
        value: string;
        active: boolean;
        hovered: boolean;
    }) => ReactNode;
    noOptionsMessage?: () => ReactNode;
}
declare const SelectOptions: FC<SelectOptionsProps>;
export default SelectOptions;
