/// <reference types="react" />
import { Position } from '@reach/popover';
import { SelectCreateOptionObject, SelectOption, SelectOptionObject, SelectValue } from './types';
export declare const CREATE_OPTION = "CREATE_OPTION";
export declare const isObjectOption: (item?: SelectValue | undefined) => item is SelectOptionObject;
export declare const isCreateOption: (item?: SelectValue | undefined) => item is SelectCreateOptionObject;
export declare const itemToString: (item?: SelectValue | undefined) => string;
export declare const filter: <T extends SelectOption>(items: T[], input: string) => T[];
export declare const useSelectOptions: <T extends SelectOption>({ onSearch, options, creatable, isValidNewOption, }: {
    onSearch?: ((value: string) => void) | undefined;
    options: T[];
    creatable: boolean;
    isValidNewOption: (value: string) => boolean;
}) => {
    searchValue: string;
    setSearchValue: import("react").Dispatch<import("react").SetStateAction<string>>;
    selectOptions: (SelectCreateOptionObject | T)[];
};
export declare const useIgnoreDownshiftUselessWarning: () => void;
export declare const positionMatchWidth: Position;
