/* eslint camelcase: off */
import React, { createContext } from 'react';
import { en_US } from './locales';
var LocaleContext = /*#__PURE__*/createContext({
  locale: en_US
});
LocaleContext.displayName = 'LocaleContext';

var LocaleProvider = function LocaleProvider(_ref) {
  var children = _ref.children,
      locale = _ref.locale;
  return /*#__PURE__*/React.createElement(LocaleContext.Provider, {
    value: {
      locale: locale
    }
  }, children);
};

export { LocaleContext, LocaleProvider };