import { FC, MutableRefObject, ReactNode } from 'react';
import { StatusType } from '../types';
export interface MessageOptions {
    content: ReactNode;
    duration: number;
}
export declare type Trigger = (options: MessageOptions, type: StatusType) => Promise<boolean>;
interface HooksMessageProps {
    triggerRef: MutableRefObject<Trigger>;
}
declare const HooksMessage: FC<HooksMessageProps>;
export default HooksMessage;
