import React, { createContext, useRef } from 'react';
import HooksMessage from './HooksMessage';
var HooksMessageContext = /*#__PURE__*/createContext({
  current: function current() {
    return Promise.resolve(false);
  }
});
HooksMessageContext.displayName = 'HooksMessageContext';

var HooksMessageProvider = function HooksMessageProvider(_ref) {
  var children = _ref.children;
  var messageTriggerRef = useRef(function () {
    return Promise.resolve(false);
  });
  return /*#__PURE__*/React.createElement(HooksMessageContext.Provider, {
    value: messageTriggerRef
  }, children, /*#__PURE__*/React.createElement(HooksMessage, {
    triggerRef: messageTriggerRef
  }));
};

export { HooksMessageContext, HooksMessageProvider };