export declare let previousOverflow: string;
export declare let previousPaddingRight: string;
/**
 * Toggle the body scroll / overflow and additional styling
 * necessary to preserve scroll position and body width (scrollbar replacement)
 *
 * @param {boolean} preventScroll - whether or not to prevent body scrolling
 */
declare const preventBodyScroll: (preventScroll: boolean) => void;
export { preventBodyScroll };
